<?php
include "../ver_sessao.php";
include "../conecta.php";


// ------------------------------------------------------------------------------------------
// SE RECEBE UM ARGUMENTO PELO GET, DIRECIONA PARA A TELA DE IMPRESSAO
// ------------------------------------------------------------------------------------------
if( $_GET[i] ) {

	if( md5($_GET[i]) != $_GET[s] )
		exit;

	$_POST[acao] = 'layout_imprime';
	$_POST[id]  = $_GET[i];
	
}


function cadastra_reajuste(){

	$id_lista = $_POST[id_lista];
	$autorizar = $_POST[autorizar];

	for($i=0;$i<count($id_lista);$i++){
		if($autorizar[$i] == 'Sim'){
			$a_prod=carregar('listacompra,compra,produto',$id_lista[$i]);

			$valorCusto = $a_prod[list_tx_valor];
			$valorVenda = $a_prod[list_tx_valor]+($a_prod[prod_tx_margem]*$a_prod[list_tx_valor]/100);

			atualizar('produto',
				array('prod_tx_valorCusto','prod_tx_valorVenda'),
				array($valorCusto,$valorVenda),
				$a_prod[prod_nb_id]);

			$cam = array('hist_nb_produto','hist_tx_valorCusto','hist_tx_valorVenda','hist_tx_margem','hist_tx_dataMargem','hist_nb_user','hist_tx_dataCadastro','hist_tx_status');
			$val = array($a_prod[prod_nb_id],$valorCusto,$valorVenda,$a_prod[prod_tx_margem],date('Y-m-d'),$_SESSION[user_nb_id],date("Y-m-d H:i:s"),'ativo');
			inserir('historico',$cam,$val,1);
		}

		// SALVA A OPÇÃO ESCOLHIDA PELO USUÁRIO NA TABELA LISTACOMPRA
		atualizar('listacompra',array(list_tx_reajuste),array($autorizar[$i]),$id_lista[$i]);
	}

	atualizar('compra',
				array('comp_nb_userReajuste','comp_tx_dataReajuste'),
				array($_SESSION[user_nb_id],date("Y-m-d")),
				$_POST[id]);

	index();
	exit;

}


function layout_reajuste(){
	global $a_mod;

	
	cabecalho('Reajuste',2);

	//CONSULTAS
	$a_compra = carregar('compra,setor,entidade',$_POST[id]);
	$a_comprador = carregar('user',"$a_compra[comp_nb_userCadastro]");
	
	// CAMPOS TEXTO
	$t1[] = cactux::texto('Código:',$a_compra[comp_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_compra[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comprador[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_compra[comp_tx_dataCadastro],1),2);
	$t2[] = cactux::texto('Fornecedor:',$a_compra[enti_tx_nome],4);

	//UTILIZADA APENAS PARA TESTE
	//$_POST[id] = 1;
	
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_reajuste','id',"$_POST[id]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_form();
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0]);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	
	
	
	$cabeca[] = array('CÓDIGO','DESCRIÇÃO','MARGEM(%)','CUSTO ATUAL','VENDA ATUAL','NOVO CUSTO','NOVO&nbsp;V.&nbsp;VENDA','AUTORIZAR');
	$cabeca[] = 'c,e,c,c,c,c,c,e,e';
	$cabeca[] = '5%,20%,10%,10%,10%,10%,10%,5%';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," AND list_tx_valor!=prod_tx_valorCusto ORDER BY prod_tx_nome,list_nb_id",0);
	while( $a=carrega_array($sql) ) {
		
		$valor_total += $valor;

		$select = "<select name=autorizar[] style='width:100%'><option value=Não>Não</option><option value=Sim>Sim</option></select>";

		campo_hidden('id_lista[]',$a[list_nb_id]);
		
		$valores[] = array($a[list_nb_id],$a[prod_tx_nome],mostra_valor($a[prod_tx_margem],1),mostra_valor($a[prod_tx_valorCusto],1),
			mostra_valor($a[prod_tx_valorVenda],1),mostra_valor($a[list_tx_valor]),mostra_valor($a[list_tx_valor]+($a[prod_tx_margem]*$a[list_tx_valor]/100)),$select);
		
	}
	
	grid::gerar($cabeca,$valores);
	
	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	rodape();
}





function layout_imprime(){


	cabecaRelatorioVenda('Reajuste');

	//CONSULTAS
	$a_compra = carregar('compra,setor,entidade',$_POST[id]);
	$a_comprador = carregar('user',"$a_compra[comp_nb_userCadastro]");
	
	// CAMPOS TEXTO
	$t1[] = cactux::texto('Código:',$a_compra[comp_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_compra[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comprador[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_compra[comp_tx_dataCadastro],1),2);
	$t2[] = cactux::texto('Fornecedor:',$a_compra[enti_tx_nome],4);

	
	
	cactux::abre_form();
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0]);
	cactux::fecha_fieldset();
	

	
	$cabeca[] = array('CÓDIGO','DESCRIÇÃO','MARGEM(%)','CUSTO ATUAL','VENDA ATUAL','NOVO CUSTO','NOVO&nbsp;V.&nbsp;VENDA','AUTORIZAR');
	$cabeca[] = 'c,e,c,c,c,c,c,e,e';
	$cabeca[] = '5%,20%,10%,10%,10%,10%,10%,5%';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," AND list_tx_valor!=prod_tx_valorCusto ORDER BY prod_tx_nome,list_nb_id",0);
	while( $a=carrega_array($sql) ) {
		
		$valor_total += $valor;
		
		$valores[] = array($a[list_nb_id],$a[prod_tx_nome],mostra_valor($a[prod_tx_margem],1),mostra_valor($a[prod_tx_valorCusto],1),
			mostra_valor($a[prod_tx_valorVenda],1),mostra_valor($a[list_tx_valor]),mostra_valor($a[list_tx_valor]+($a[prod_tx_margem]*$a[list_tx_valor]/100)),$a[list_tx_reajuste]);
		
	}
	
	grid::gerar($cabeca,$valores);

	rodape();
	
}






function layout_imprimi_busca(){
	
	

	cabecaRelatorioVenda('Reajuste',2);


	$extra .= " AND comp_tx_status IN('Recebido','Pendente','Finalizado','Finalizado Pendente')";

	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornacedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	
	if( $_POST[busca_status] == 'Aguardando')
		$extra .= " AND comp_nb_userReajuste IS NULL";
	if( $_POST[busca_status] == 'Encerrado')
		$extra .= " AND comp_nb_userReajuste IS NOT NULL";


	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::texto('Data Inicio:',$_POST[busca_data1],1);
	$c[] = cactux::texto('Data Fim:',$_POST[busca_data2],1);
	$c[] = cactux::texto('Setor:',$a_setor[seto_tx_nome],3);
	$c[] = cactux::texto('Fornecedor:',$a_fornacedor[enti_tx_nome],3);
	$c[] = cactux::texto('Situação:',$_POST[busca_status],2);
	
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::fecha_fieldset();

	
	$sql = selecionar('listacompra,produto,compra.setor.entidade','comp_tx_status',"!inativo"," $extra AND list_tx_valor!=prod_tx_valorCusto AND comp_nb_setor = seto_nb_id AND comp_nb_entidade = enti_nb_id GROUP BY comp_nb_id ORDER BY comp_nb_id DESC");

	
	$cabecalho[]=array('CÓD','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO');
	$cabecalho[]='c,e,e,c,c,c,c';
	$cabecalho[]='5%,15%,,8%,8%,8%';
	
	while ( $a=carrega_array($sql) ) {

		
		if($a[comp_nb_userReajuste]>0){
			$situacao = 'Encerrado';

		}else{
			$situacao = 'Aguardando';
		}

		$valores[] = array( $a[comp_nb_id], $a[seto_tx_nome], $a[enti_tx_nome], data($a[comp_tx_dataCadastro],1),
							mostra_valor($a[comp_tx_valor]), $situacao );
	
		$total_valor+=$a[comp_tx_valor];
	}
	
	$valores[] = array( '', '', '', '<b>TOTAL: </b>', mostra_valor($total_valor) );

	
	cactux::fecha_form();
	

	grid::gerar($cabecalho,$valores);
	
	rodape();
	
	
}




function index(){

	

	cabecalho('Reajuste',2);


	$extra .= " AND comp_tx_status IN('Recebido','Pendente','Finalizado','Finalizado Pendente')";

	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornacedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	
	if( $_POST[busca_status] == 'Aguardando')
		$extra .= " AND comp_nb_userReajuste IS NULL";
	if( $_POST[busca_status] == 'Encerrado')
		$extra .= " AND comp_nb_userReajuste IS NOT NULL";
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::campo('Data Inicio:','busca_data1',$_POST[busca_data1],1,MASCARA_DATA);
	$c[] = cactux::campo('Data Fim:','busca_data2',$_POST[busca_data2],1,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Setor:','busca_setor',$a_setor[seto_nb_id],$a_setor[seto_tx_nome],3,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo_net('!Fornecedor:','busca_fornecedor',$a_fornacedor[enti_nb_id],$a_fornacedor[enti_tx_nome],3,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
	$c[] = cactux::combo('Situação:','busca_status',array('','Aguardando','Encerrado'),'',2);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	// $inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir_busca = cactux::botao('Imprimir',2,'imprimir_busca');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::linha_fieldset($buscar,$inserir,$imprimir_busca,$status);
	cactux::fecha_fieldset();
	
	$sql=selecionar('listacompra,produto,compra.setor.entidade','comp_tx_status',"!inativo"," $extra AND list_tx_valor!=prod_tx_valorCusto AND comp_nb_setor = seto_nb_id AND comp_nb_entidade = enti_nb_id GROUP BY comp_nb_id ORDER BY comp_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',30);
	
	$cabecalho[]=array('CÓD','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO','','');
	$cabecalho[]='c,e,e,c,c,c,c';
	$cabecalho[]='5%,15%,,8%,8%,8%,2%,2%';
	
	while ( $a=carrega_array($BUSCA[0]) ) {

		
		if($a[comp_nb_userReajuste]>0){
			$situacao = 'Encerrado';
			$imprimir = ".icone_modificar($a[comp_nb_id],'layout_imprime','','','','target=_blank','Imprimir','/cactus/imagens/imprimir.png')";
			$modificar = '';

		}else{
			$situacao = 'Aguardando';
			$imprimir = '';
			$modificar = ".icone_modificar($a[comp_nb_id],'layout_reajuste')";
		}

		$valores[] = array( $a[comp_nb_id], $a[seto_tx_nome], $a[enti_tx_nome], data($a[comp_tx_dataCadastro],1),
							mostra_valor($a[comp_tx_valor]), $situacao, $imprimir, $modificar );
	
		$total_valor+=$a[comp_tx_valor];
	}
	
	$valores[]=array('','','','<b>TOTAL: </b>',mostra_valor($total_valor),'','');

	
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_compra');
	cactux::acao_botao('imprimir_busca','layout_imprimi_busca','','','','',' target=_blank');
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
	cactux::acao_botao('faz_pagamento_form','seleciona_layout_finaliza','ids_agrupados','0');
	
	javascript("
		
		var IDS_AGRUPA = Array();
		
		function seleciona_check(id) {
			
			var t = IDS_AGRUPA.length;
			var achou=0;
			
			// VARRE O ARRAY E TESTA SE O ID JAH EXISTE, SE JAH EXISTIR ENTAO APAGA
			for(i=0; i!=t; i++) {
				
				if( IDS_AGRUPA[i] == id ) {
					achou = 1;
					IDS_AGRUPA[i]='';
					break;
				}
				
			}
			
			// SE NAO EXISTIR, ENTAO INSERE NO ARRAY
			if( achou != 1 ) {
				
				IDS_AGRUPA[t] = id;
				
			}
			
		}
		
		function faz_pagamento(id_atual) {
			
			// JUNTA O ARRAY EM UMA STRING SEPARADA POR '-'
			var agrupados = IDS_AGRUPA.join('-');
			
			// CONCATENA COM A STRING O ID DO PAGAMENTO CLICADO
			agrupados += '-'+id_atual;
			
			document.faz_pagamento_form.ids_agrupados.value=agrupados;
			document.faz_pagamento_form.submit();
			
		}
		
	");
	
}




controle();
?>
